[arch-commits] Commit in mail-notification/repos (5 files)

Roman Kyrylych roman at archlinux.org
Sun Sep 21 13:45:53 UTC 2008


    Date: Sunday, September 21, 2008 @ 09:45:53
  Author: roman
Revision: 12833

Merged revisions 356,12832 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/mail-notification/trunk

........
  r356 | aaron | 2008-04-19 01:56:27 +0300 (?\209?\129?\208?\177, 19 ?\208?\186?\208?\178?\209?\150 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r12832 | roman | 2008-09-21 16:44:43 +0300 (?\208?\189?\208?\180, 21 ?\208?\178?\208?\181?\209?\128 2008) | 1 line
  
  upgpkg: mail-notification 5.4-1
........

Added:
  mail-notification/repos/extra-x86_64/dont-update-cache.patch
    (from rev 12832, mail-notification/trunk/dont-update-cache.patch)
  mail-notification/repos/extra-x86_64/remove-ubuntu-special-case.patch
    (from rev 12832, mail-notification/trunk/remove-ubuntu-special-case.patch)
Modified:
  mail-notification/repos/extra-x86_64/	(properties)
  mail-notification/repos/extra-x86_64/PKGBUILD
  mail-notification/repos/extra-x86_64/mail-notification.install

----------------------------------+
 PKGBUILD                         |   29 ++++++++++++++++++++---------
 dont-update-cache.patch          |   22 ++++++++++++++++++++++
 mail-notification.install        |    5 -----
 remove-ubuntu-special-case.patch |   33 +++++++++++++++++++++++++++++++++
 4 files changed, 75 insertions(+), 14 deletions(-)


Property changes on: mail-notification/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /mail-notification/trunk:1
   + /mail-notification/trunk:1-12832

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-09-21 13:44:43 UTC (rev 12832)
+++ extra-x86_64/PKGBUILD	2008-09-21 13:45:53 UTC (rev 12833)
@@ -2,7 +2,7 @@
 # Maintainer: Roman Kyrylych <roman at archlinux.org>
 
 pkgname=mail-notification
-pkgver=5.0
+pkgver=5.4
 pkgrel=1
 pkgdesc="Tray icon application that informs you if you have new mail"
 arch=('i686' 'x86_64')
@@ -10,21 +10,32 @@
 license=('GPL3' 'FDL')
 depends=('eel>=2.18.0-2' 'cyrus-sasl-plugins' 'gmime>=2.2.6' 'libnotify>=0.4.4'
          'gconf>=2.18.0.1-4' 'gnome-keyring' 'hicolor-icon-theme'
-         'desktop-file-utils')
-makedepends=('gob2' 'perlxml' 'evolution>=2.12' 'gnome-doc-utils>=0.12.0')
+         'desktop-file-utils' 'notification-daemon' 'libgnomeui')
+makedepends=('gob2' 'perlxml' 'evolution>=2.12' 'evolution-data-server'
+             'gnome-doc-utils>=0.12.0')
 options=('!libtool' '!emptydirs')
 install=mail-notification.install
-source=(http://savannah.nongnu.org/download/mailnotify/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('66bc819ef62a050627627b3496e4dfe8')
+source=(http://savannah.nongnu.org/download/mailnotify/${pkgname}-${pkgver}.tar.bz2
+        dont-update-cache.patch
+        remove-ubuntu-special-case.patch)
+md5sums=('c8dc33a61251acb5474e56eab6b18f43'
+         '6007bc30e789dab0a8282038e0335eb9'
+         '9cadd61bbd9c324b2916ec980231e0f2')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
 
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-static --disable-scrollkeeper
-  make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  patch -Np0 -i ../dont-update-cache.patch
+  patch -Np0 -i ../remove-ubuntu-special-case.patch
 
+  ./jb configure prefix=/usr sysconfdir=/etc \
+              localstatedir=/var destdir=${startdir}/pkg \
+              gconf-schemas-dir=/etc/gconf/schemas install-gconf-schemas=yes \
+              cflags="${CFLAGS}" cppflags="${CXXFLAGS}" ldflags="${LDFLAGS}" \
+              library-mode=0755 || return 1
+  ./jb build || return 1
+  GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install || return 1
+
   mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
   gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas \
     ${startdir}/pkg/etc/gconf/schemas/*.schemas

Copied: mail-notification/repos/extra-x86_64/dont-update-cache.patch (from rev 12832, mail-notification/trunk/dont-update-cache.patch)
===================================================================
--- extra-x86_64/dont-update-cache.patch	                        (rev 0)
+++ extra-x86_64/dont-update-cache.patch	2008-09-21 13:45:53 UTC (rev 12833)
@@ -0,0 +1,22 @@
+--- jbsrc/jb.c.~1~	2008-03-20 16:53:02.000000000 +0100
++++ jbsrc/jb.c	2008-03-26 20:51:45.641363619 +0100
+@@ -327,7 +327,6 @@
+ jb_package_add_resources (void)
+ {
+   JBGroup *group;
+-  JBRule *rule;
+   JBObject *object;
+ 
+   if (jb_variable_get_bool("compile-warnings"))
+@@ -362,11 +361,6 @@
+   if (jb_variable_get_bool("hotmail"))
+     jb_group_add_data_file(group, "hotmail.png", "$pkgdatadir");
+ 
+-  rule = jb_rule_new();
+-  jb_rule_set_install_message(rule, "updating the GTK+ icon cache");
+-  jb_rule_add_install_command(rule, "-gtk-update-icon-cache -f -t $datadir/icons/hicolor");
+-  jb_group_add_resource(group, JB_GROUP_RESOURCE(rule));
+-
+   jb_group_add(group);
+ 
+   /*** data ******************************************************************/

Modified: extra-x86_64/mail-notification.install
===================================================================
--- extra-x86_64/mail-notification.install	2008-09-21 13:44:43 UTC (rev 12832)
+++ extra-x86_64/mail-notification.install	2008-09-21 13:45:53 UTC (rev 12833)
@@ -24,8 +24,3 @@
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
   update-desktop-database -q
 }
-
-op=$1
-shift
-
-$op $*

Copied: mail-notification/repos/extra-x86_64/remove-ubuntu-special-case.patch (from rev 12832, mail-notification/trunk/remove-ubuntu-special-case.patch)
===================================================================
--- extra-x86_64/remove-ubuntu-special-case.patch	                        (rev 0)
+++ extra-x86_64/remove-ubuntu-special-case.patch	2008-09-21 13:45:53 UTC (rev 12833)
@@ -0,0 +1,33 @@
+--- jbsrc/lib/src/core/jb-feature.c.~1~	2008-04-27 16:47:27.000000000 +0200
++++ jbsrc/lib/src/core/jb-feature.c	2008-07-22 11:40:50.856886210 +0200
+@@ -164,8 +164,6 @@
+ static void
+ gconf_configure (void)
+ {
+-  JBVariable *variable;
+-
+   jb_require_program("gconftool-2");
+ 
+   if (! strcmp(jb_variable_get_string("gconf-config-source"), "autodetect"))
+@@ -178,21 +176,6 @@
+       jb_variable_set_string("gconf-config-source", config_source);
+       g_free(config_source);
+     }
+-
+-  /* fix the default schemas dir on Ubuntu */
+-  variable = jb_variable_get_variable_or_error("gconf-schemas-dir");
+-  if (! variable->user_set)
+-    {
+-      static const char *ubuntu_dir = "$datadir/gconf/schemas";
+-      char *expanded;
+-
+-      expanded = jb_variable_expand(ubuntu_dir, NULL);
+-
+-      if (g_file_test(expanded, G_FILE_TEST_IS_DIR))
+-	jb_variable_set_string("gconf-schemas-dir", ubuntu_dir);
+-
+-      g_free(expanded);
+-    }
+ }
+ 
+ static void




More information about the arch-commits mailing list